Summary: The passwd utility for setting/changing passwords using PAM.
Name: passwd
Version: 0.68
Release: 12tr
License: BSD
Group: Trustix Official
Source: passwd-%{version}-3.tar.gz
Patch0: passwd-0.68-3-pamonly.patch
Patch1: passwd-0.68-sysauth.patch
Patch2: passwd-0.68-selinux.patch.gz
Patch3: passwd-0.68-gcc334.patch
Buildroot: %{_tmppath}/%{name}-root
Requires: pam >= 0.59 
Requires: /etc/pam.d/system-auth
Buildprereq: pam-devel

%description
The passwd package contains a system utility (passwd) which sets
and/or changes passwords, using PAM (Pluggable Authentication
Modules).

To use passwd, you should have PAM installed on your system.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make DEBUG= RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?use_selinux: WITH_SELINUX=yes}

%install
make install DESTDIR=$RPM_BUILD_ROOT bindir=%{_bindir} mandir=%{_mandir}
strip $RPM_BUILD_ROOT%{_bindir}/passwd

rm -f $RPM_BUILD_ROOT/%{_bindir}/{chfn,chsh}
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/{chfn,chsh}.*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%attr(4511,root,root) %{_bindir}/passwd
%{_mandir}/man1/passwd.1*

%changelog
* Thu Mar 17 2005 Hasher Jamaludeen <hasher at comodo dot com> 0.68-11tr
- Rebuilt 

* Mon Mar 07 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 0.68-10tr
- Rebuilt against glibc-2.3.4

* Thu Sep  9 2004 Oystein Viggen <oysteivi at trustix dot org> 0.68-9tr
- Remove use of const struct to pacify gcc 3.3.4

* Tue Feb  3 2004 Oystein Viggen <oysteivi at trustix dot org> 0.68-6tr
- Add selinux patch and conditional enabler on make invocation

* Tue Dec  9 2003 Chr. Toldnes <christht at trustix dot org> 0.68-5tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.68-4tr
- Big rebuild

* Tue Jun  3 2003 Erlend Midttun <erlendbm at trustix dot com> 0.68-3em
- Now use system-auth instead of passwd pam module.

* Wed Apr 23 2003 Christian H. Toldnes <christht at trustix dot com> 0.68-2ct
- Added usable pam module, ripped from TSL 1.2 :)

* Tue Apr 22 2003 Christian H. Toldnes <christht at trustix dot com> 0.68-1ct
- Initial release in solo src.rpm for TSL 2.0
- Patched to only use pam.

* Thu Feb 13 2003 Nalin Dahyabhai <nalin@redhat.com> 0.68-3
- add aging adjustment flags to passwd(1)'s synopsis, were just in the
  reference section before

* Mon Jan 27 2003 Nalin Dahyabhai <nalin@redhat.com> 0.68-2
- rebuild

* Mon Dec  9 2002 Nalin Dahyabhai <nalin@redhat.com> 0.68-1
- implement aging adjustments for pwdb

* Mon Nov 11 2002 Nalin Dahyabhai <nalin@redhat.com> 0.67-4
- modify default PAM configuration file to not specify directories, so that
  the same configuration can be used for all arches on multilib systems
- fix BuildPrereq on glib-devel to specify glib2-devel instead
- remove unpackaged files in %%install phase

* Tue May 28 2002 Nalin Dahyabhai <nalin@redhat.com> 0.67-3
- rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 0.67-2
- rebuild in new environment

* Wed Mar 13 2002 Nalin Dahyabhai <nalin@redhat.com> 0.67-1
- add the -i, -n, -w, and -x options to passwd

* Mon Mar 11 2002 Nalin Dahyabhai <nalin@redhat.com> 0.65-5
- rebuild

* Mon Feb 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.65-4
- rebuild

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 0.65-3
- rebuild

* Thu Jan 31 2002 Nalin Dahyabhai <nalin@redhat.com> 0.65-2
- rebuild to get dependencies right

* Tue Jan 29 2002 Nalin Dahyabhai <nalin@redhat.com> 0.65-1
- change dependency from pwdb to libuser

* Fri Jan 25 2002 Nalin Dahyabhai <nalin@redhat.com> 0.64.1-9
- rebuild

* Thu Aug 30 2001 Nalin Dahyabhai <nalin@redhat.com> 0.64.1-8
- man page fix (-r is the opposite of -l, not --stdin, which precedes it)
  from Felipe Gustavo de Almeida

* Mon Aug  6 2001 Nalin Dahyabhai <nalin@redhat.com> 0.64.1-7
- fix unguarded printf() (noted by Chris Evans)
- add missing build dependency on pwdb and pam-devel (#49550)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages to %{_mandir}

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM setup to use system-auth
- modify for building as non-root users

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- fix manpage links

* Fri Feb 04 2000 Nalin Dahyabhai <nalin@redhat.com>
- document --stdin in man page
- fix for gzipped man pages

* Sat Apr 10 1999 Cristian Gafton <gafton@redhat.com>
- first build from the new source code base.
